(put 'routine 'latexinfo-format  'latexinfo-format-code)
(put 'Iter    'latexinfo-format  'tools-format-iter)
(put 'Tools   'latexinfo-format  'tools-format-tools)
(put 'ToolsP  'latexinfo-format  'tools-format-toolsP)
(put 'Solvers 'latexinfo-format  'tools-format-solvers)
(put 'SolversP 'latexinfo-format 'tools-format-solversP)
(put 'SMEIT    'latexinfo-format 'tools-format-sparse)
(defun latexinfo-discard-command ()
  (delete-region latexinfo-command-start latexinfo-command-end))
(defun tools-format-tools ()
  (latexinfo-discard-command)
  (insert "PETSc"))
(defun tools-format-toolsP ()
  (latexinfo-discard-command)
  (insert "PETSc package"))
(defun tools-format-solvers ()
  (latexinfo-discard-command)
  (insert "SLES"))
(defun tools-format-sparse ()
  (latexinfo-discard-command)
  (insert "SMEIT"))
(defun tools-format-solversP ()
  (latexinfo-discard-command)
  (insert "SLES package"))
(defun tools-format-iter ()
  (latexinfo-discard-command)
  (insert "KSP"))
(put 'ib  'latexinfo-format 'latexinfo-format-noop)
(put 'iba 'latexinfo-format 'latexinfo-format-noop)
(put 'ibc 'latexinfo-format 'latexinfo-format-noop)
(put 'ibd 'latexinfo-format 'latexinfo-format-noop)

;\def\Tools{PETSc}
;\def\Solvers{SLES}
;\def\ToolsP{PETSc package}
;\def\SolversP{SLES package}
;\def\SMEIT{SMEIT}
;\def\SMEITP{SMEIT package}

;
; We also need to add \label and \ref, since latexinfo insists on using
; a different format.  We can, as a start, make \label bind name to the
; current node; then a ref to that name generates a "*Note node::"
;
;(put 'label 'latexinfo-format 'tools-label)
(defun tools-label ()
   ; Get the name
   (let ((args (latexinfo-format-parse-args)))
     (latexinfo-discard-command)
     (set (car args) latexinfo-last-node )
    )
)
(put 'ref 'latexinfo-format 'tools-ref)
(defun tools-ref ()
   ; Get the name
   ; (...)
   (let ((args (latexinfo-format-parse-args)))
    (latexinfo-discard-command)
    (insert "*Note " (car args) "::")
   )
)
